Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
DistributedObjectBase Class Reference
Inheritance diagram for DistributedObjectBase:

## Public Member Functions
| __init__ (self, cr)
| delete (self)
| getLocation (self)
| getParentObj (self)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
| status (self, indent=0)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Static Public Attributes
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    The Distributed Object class is the base class for all network based
    (i.e. distributed) objects.  These will usually (always?) have a
    dclass entry in a \\*.dc file.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | cr )

## Member Function Documentation

## ◆ delete()

delete | ( |  | self | ) |

    Override this to handle cleanup right before this object
    gets deleted.

Reimplemented in DistributedActor, DistributedCameraOV, DistributedCartesianGrid, DistributedCartesianGridAI, DistributedNode, DistributedNodeAI, DistributedObject, DistributedObjectAI, DistributedObjectGlobalAI, DistributedObjectGlobalUD, DistributedObjectOV, DistributedObjectUD, DistributedSmoothNode, DistributedSmoothNodeAI, and TimeManager.

## ◆ getLocation()

getLocation | ( |  | self | ) |

Reimplemented in DistributedObject, and DistributedObjectAI.

## ◆ getParentObj()

getParentObj | ( |  | self | ) |

Reimplemented in DistributedObject.

## ◆ handleChildArrive()

handleChildArrive | ( |  | self,
|  |  | childObj,
|  |  | zoneId )

    A new child has just setLocation beneath us.  Give us a
    chance to run code when a new child sets location to us. For
    example, we may want to scene graph reparent the child to
    some subnode we own.

Reimplemented in DistributedCartesianGrid.

## ◆ handleChildArriveZone()

handleChildArriveZone | ( |  | self,
|  |  | childObj,
|  |  | zoneId )

    A child has just changed zones beneath us with setLocation.
    Give us a chance to run code when an existing child sets
    location to us. For example, we may want to scene graph
    reparent the child to some subnode we own.

Reimplemented in DistributedCartesianGrid.

## ◆ handleChildLeave()

handleChildLeave | ( |  | self,
|  |  | childObj,
|  |  | zoneId )

    A child is about to setLocation away from us.  Give us a
    chance to run code just before a child sets location away from us.

Reimplemented in DistributedCartesianGrid.

## ◆ handleChildLeaveZone()

handleChildLeaveZone | ( |  | self,
|  |  | childObj,
|  |  | zoneId )

    A child is about to setLocation to another zone beneath us.
    Give us a chance to run code just before a child sets
    location to that zone.

## ◆ handleQueryObjectChildrenLocalDone()

handleQueryObjectChildrenLocalDone | ( |  | self,
|  |  | context )

## ◆ hasParentingRules()

hasParentingRules | ( |  | self | ) |

## ◆ status()

status | ( |  | self,
|  |  | indent = 0 )

    print out "doId(parentId, zoneId) className"

Reimplemented in DistributedObject, DistributedObjectAI, DistributedObjectOV, and DistributedObjectUD.

## Member Data Documentation

## ◆ cr

cr = cr

## ◆ doId

doId

## ◆ notify

notify = directNotify.newCategory("DistributedObjectBase")
| static

## ◆ parentId

parentId = None

## ◆ zoneId

zoneId = None